This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1025968 - Rigol scope not detected
Rigol scope not detected
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libsigrok (Show other bugs)
18
All Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alex G.
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-02 10:41 EDT by Dan Horák
Modified: 2013-11-16 02:08 EST (History)
1 user (show)

See Also:
Fixed In Version: libsigrok-0.2.2-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-15 15:34:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
update for upgraded Rigol DS1xx2 scopes (509 bytes, patch)
2013-11-02 10:44 EDT, Dan Horák
no flags Details | Diff

  None (edit)
Description Dan Horák 2013-11-02 10:41:34 EDT
My Rigol oscilloscope is not found because the driver in libsigrok scans the wrong directory on under /sys, http://sigrok.org/gitweb/?p=libsigrok.git;a=commit;h=da970d24ecfcf67f89a9532f3a53ade8cb1131ed contains the fix. Fedora kernels use the new /sys/class/usbmisc location.

old output:
[dan@eagle sigrok]$ sigrok-cli --scan -d rigol-ds1xx2 -l 5
sr: libsigrok loglevel set to 5.
sr: Sanity-checking all drivers.
sr: Sanity-checking all input modules.
sr: Sanity-checking all output modules.
srd: libsigrokdecode loglevel set to 5.
sr: hwdriver: Initializing driver 'rigol-ds1xx2'.
sr: hwdriver: Scan of 'rigol-ds1xx2' found 0 devices.


new output:
[dan@eagle sigrok]$ sigrok-cli --scan -d rigol-ds1xx2 -l 5
sr: libsigrok loglevel set to 5.
sr: Sanity-checking all drivers.
sr: Sanity-checking all input modules.
sr: Sanity-checking all output modules.
srd: libsigrokdecode loglevel set to 5.
sr: hwdriver: Initializing driver 'rigol-ds1xx2'.
sr: serial: Opening serial port '/dev/usbtmc0' (flags 1).
sr: serial: Opened serial port '/dev/usbtmc0' (fd 7).
sr: serial: Wrote 5/5 bytes (fd 7).
sr: serial: Closing serial port /dev/usbtmc0 (fd 7).
sr: rigol-ds1xx2: response: /dev/usbtmc0 [Rigol Technologies,DS1152D,DS1EU150200008,00.04.01.00.02]
sr: hwdriver: Scan of 'rigol-ds1xx2' found 1 devices.
The following devices were found:
rigol-ds1xx2 - Rigol Technologies DS1152D 00.04.01.00.02 with 18 probes: CH1 CH2 D0 D1 D2 D3 D4 D5 D6 D7 D8 D9 D10 D11 D12 D13 D14 D15
Comment 1 Dan Horák 2013-11-02 10:44:09 EDT
Created attachment 818601 [details]
update for upgraded Rigol DS1xx2 scopes

This is a patch to detect Rigol scopes with bandwidth upgraded to 150 MHz, I'm going to submit the patch to upstream.
Comment 2 Dan Horák 2013-11-02 10:45:02 EDT
I'm a provenpackager in Fedora, so if you give me green light, I can do the updates.
Comment 3 Alex G. 2013-11-02 11:05:16 EDT
Yeah, a cherry-pick of da970d24ecfcf67f89a9532f3a53ade8cb1131ed can go in right away. This can be a very frustrating issue. Thanks for reporting it. Green light.

I'll have to ask that you submit your patch to upstream first. Upstream has some very funny ideas about modifying patches. Although I'm not a big fan of cherry-picking features, once they commit your patch, I see no reason not to cherry-pick it ourselves.
Comment 4 Dan Horák 2013-11-02 12:09:55 EDT
patch sent upstream - http://thread.gmane.org/gmane.comp.debugging.sigrok.devel/659
Comment 5 Dan Horák 2013-11-02 13:49:18 EDT
patch now merged in the new unified rigol driver - https://github.com/martinling/libsigrok/commit/d1255c7f1bdec513c631fd7fbf93965871922200 - and should also go into current master
Comment 6 Fedora Update System 2013-11-03 13:29:17 EST
libsigrok-0.2.1-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libsigrok-0.2.1-3.fc19
Comment 7 Fedora Update System 2013-11-03 13:29:26 EST
libsigrok-0.2.1-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libsigrok-0.2.1-3.fc20
Comment 8 Fedora Update System 2013-11-03 13:29:36 EST
libsigrok-0.2.1-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libsigrok-0.2.1-3.fc18
Comment 9 Dan Horák 2013-11-04 04:56:09 EST
and one more thing is needed - http://thread.gmane.org/gmane.comp.debugging.sigrok.devel/674 - discussed on IRC and on the way to git
Comment 10 Dan Horák 2013-11-04 06:57:48 EST
I've built libsigrok-0.2.1-4.fc21 with the fix from comment #9, but libsigrok-0.2.2 is behind the doors, so I'll wait with the other branches for the 0.2.2 release.
Comment 11 Dan Horák 2013-11-04 10:22:50 EST
and all updated to 0.2.2 now, per abi-compliance-checker results it's a safe update
Comment 12 Fedora Update System 2013-11-04 12:51:31 EST
Package libsigrok-0.2.2-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libsigrok-0.2.2-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20590/libsigrok-0.2.2-1.fc20
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2013-11-15 15:34:10 EST
libsigrok-0.2.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-11-15 15:35:30 EST
libsigrok-0.2.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2013-11-16 02:08:17 EST
libsigrok-0.2.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.